package nc.vo.th.bonus;

import nc.vo.pubapp.pattern.model.entity.bill.AbstractBill;
import nc.vo.pubapp.pattern.model.meta.entity.bill.BillMetaFactory;
import nc.vo.pubapp.pattern.model.meta.entity.bill.IBillMeta;

@nc.vo.annotation.AggVoInfo(parentVO = "nc.vo.th.bonus.BonusVO")
public class AggbonusVO extends AbstractBill {

  @Override
  public IBillMeta getMetaData() {
    IBillMeta billMeta =BillMetaFactory.getInstance().getBillMeta(AggbonusVOMeta.class);
    return billMeta;
  }

  @Override
  public BonusVO getParentVO() {
    return (BonusVO) this.getParent();
  }
}